has.raw.data {bnstruct} | R Documentation

## check if a BNDataset contains raw data.

### Description

Check whether a `BNDataset` object actually contains raw data.

### Usage

    has.raw.data(x)

    ## S4 method for signature 'BNDataset'
    has.raw.data(x)

### Arguments

`x` | a `BNDataset`.

### See Also

`has.imputed.data`, `raw.data`, `imputed.data`

### Examples

    ## Not run:
    x <- BNDataset()
    has.raw.data(x) # FALSE

    x <- read.dataset(x, "file.header", "file.data")
    has.raw.data(x) # TRUE, since read.dataset() actually reads raw data.

    ## End(Not run)

[Package bnstruct version 1.0.6 Index]